Problem: collections

Cherry07

Mitglied
Hallo,

ich habe da so ein Problem mit Map, der compiler zeigt mir die folgende Fehlermeldung an: "Systax error, parameterized types are only available if source level is 5.0"
Eine Möglichkeit wäre jetzt wahrscheinlich alles wieder auf Java 5.0 umzustellen (meine akt. Version ist java vers. 1.6.0_05), aber gibt es da nicht eine andere Variante dieses Problem zu lösen?
Markiert im code ist der folgende unterstrichene Ausdruck:
Code:
Map<..., ...>name = ...
 

zeja

Erfahrenes Mitglied
Es reicht auch nicht nur einen 1.6 Compiler zu verwenden. Du mußt ihm auch sagen dass du 1.6 Sourcecode verwendest und für 1.6 Compilieren willst.